<?php
################################################################################
# @Name : kanban.php
# @Desc : Display Statistics
# @call : /menu.php
# @parameters : 
# @Author : Boris MA
# @Create : 19/09/2016
# @Update : 22/12/2016
# @Version : 3.0.10
################################################################################

//initialize variables
if(!isset($select)) $select = '';
if(!isset($libgraph)) $libgraph = '';
if(!isset($selected)) $selected= '';
if(!isset($find)) $find= '';
if(!isset($subcat)) $subcat= '%';
if(!isset($category)) $category= '';
if(!isset($result)) $result= '';
if(!isset($monthm)) $monthm= '';
if(!isset($container)) $container= '';
if(!isset($_POST['tech'])) $_POST['tech']='';
if(!isset($_POST['type'])) $_POST['type']='';
if(!isset($_POST['criticality'])) $_POST['criticality']='';
if(!isset($_POST['category'])) $_POST['category']='';
if(!isset($_POST['subcat'])) $_POST['subcat']= '';
if(!isset($_POST['year'])) $_POST['year'] = '';
if(!isset($_POST['month'])) $_POST['month'] = '';
if(!isset($_POST['category'])) $_POST['category'] = '';
if(!isset($_POST['user'])) $_POST['user'] = '';

//HA 2016-09-19 : Boris MA - Filtre pour activation du quickview
if(!isset($_POST['quickview'])) $_POST['quickview'] = 'off';

if(!isset($_GET['userid'])) $_GET['userid'] = '';

if ($_POST['tech']=='') { 
	$_POST['tech']=$_GET['userid'];
}


//default values
if ($_POST['criticality']=="") $_POST['criticality']="%";
if ($_POST['year']=="") $_POST['year']=date('Y');
if ($_POST['month']=="") $_POST['month']=date('m');
if ($_POST['type']=="") $_POST['type']='%';
if ($_POST['category']=="") $_POST['category']='%';
if ($_POST['user']=="") $_POST['user']='%';

//month & day table
$mois = array();
$mois = array("01" => "Janvier", "02"=> "Février", "03"=> "Mars", "04"=> "Avril", "05"=> "Mai", "06"=> "Juin", "07"=> "Juillet", "08"=> "Aout", "09"=> "Septembre", "10"=> "Octobre", "11"=> "Novembre", "12"=> "Décembre");
$jour= array();
$jour = array(1 => "1", 2=> "2", 3=> "3", 4=> "4", 5=> "5", 6=> "6", 7=> "7", 8=> "8", 9=> "9", 10=> "10", 11=> "11", 12=> "12", 13=> "13", 14=> "14", 15=> "15", 16=> "16", 17=> "17", 18=> "18", 19=> "19", 20=> "20", 21=> "21", 22=> "22", 23=> "23", 24=> "24", 25=> "25", 26=> "26", 27=> "27", 28=> "28", 29=> "29", 30=> "30", 31=> "31");
?>

<div class="page-header position-relative">
	<h1>
		<i class="icon-bar-chart"></i>  Kanban 
		<div class="pull-right">
			<div style="font-size:14px;">
				Code couleur des tickets :
				
				
				<div style="background:#ffffaa; height:10px; width:10px; display:inline-block;
				    box-shadow: 0px 1px 1px 1px ##c3c3c3; margin-left:8px;"></div> Normal
				<div style="background:#ffbfbf; height:10px; width:10px; display:inline-block;
				    box-shadow: 0px 1px 1px 1px ##c3c3c3; margin-left:8px;"></div> Critique
				<div style="background:#c5d0dc; height:10px; width:10px; display:inline-block;
				    box-shadow: 0px 1px 1px 1px ##c3c3c3; margin-left:8px;"></div> Ancien (>14j)
				
			</div>
			<!--
			<a  target="about_blank" href="./core/export.php">
		        <button  class="btn btn-xs btn-purple">
		            <i align="right" class="icon-list "></i>
		            Export Excel
		        </button>
			 </a>
			 -->
		</div>
	</h1>
</div>


<div class="page-header position-relative">
	
		<form method="post" action="" name="filter" >
			<center>
			<small>Filtres globaux :</small>
			
			<select name="tech" onchange=submit()>
				<?php
				$query = $db->query("SELECT * FROM tusers WHERE disable=0 AND (profile = 0 OR profile = 4)");				
				while ($row=$query->fetch()) {
					if ($row['id'] == $_POST['tech']) $selected1="selected" ;
					if ($row['id'] == $_POST['tech']) $find="1" ;
					echo "<option value=\"$row[id]\" $selected1>$row[firstname] $row[lastname]</option>"; 
					$selected1="";
				} 
				$query->closeCursor();
				if ($find!="1") {echo "<option value=\"%\" selected >Tous les techniciens</option>";} else {echo "<option value=\"%\" >Tous les techniciens</option>";}											
				?>
			</select>
			
			
			<small>&nbsp; Demandeur (pour suivi service) :</small>
				<select name="user" onchange=submit()>
					<?php
					$query = $db->query("SELECT * FROM tusers WHERE disable=0 AND profile = 4");
					while ($row=$query->fetch()) {
						if ($row['id'] == $_POST['tech']) $selected1="selected" ;
						if ($row['id'] == $_POST['tech']) $find="1" ;
						echo "<option value=\"$row[id]\" $selected1>$row[firstname] $row[lastname]</option>"; 
						$selected1="";
					} 
					$query->closeCursor();
					if ($find!="1") {echo "<option value=\"%\" selected >Tous les administrateurs</option>";} else {echo "<option value=\"%\" >Tous les administrateurs</option>";}											
					?>
				</select>
			</center>
		</form>
</div>

<div class="row">
	<div class="col-xs-12">
		<div class="table-responsive">
		
			<table id="sample-table-1" class="table table-striped table-bordered">
				<thead>
				<?php
					//Fonction permettant de générer les post-it dans le kanban
					function GenererPostIt($db,$sql){
					
								
						$query = $db->query($sql);
						while ($row=$query->fetch())
						{
							if($row['criticality'] == 1){
								$postit_couleur = 'postit-critique';
							}
							else if(strtotime($row['date_create']) < (strtotime(date("Y-m-d H:i:s")) - (3600 * 24 * 13))){ $postit_couleur = 'postit-old';}
							else {$postit_couleur = 'postit-yellow';}
							
							
							
							if ($_POST['quickview'] == 'on') {
								?>
								<div class="postit <?php echo $postit_couleur; ?>">
									#<?php echo $row['id']; ?>
									<br />
									<?php echo $row['title']; ?>
								</div>
								<?php
							} else {
								?>
								<div class="postit <?php echo $postit_couleur; ?>">
									<a target="_blank" href="index.php?page=ticket&id=<?php echo $row['id']; ?>&state=%&userid=%&type=%&category=%&subcat=%&viewid=">
									#<?php echo $row['id']; ?>
									<br />
									<?php echo $row['title']; ?>
								</a></div>
								<?php
							}
						}
						$query->closeCursor();
					}
					//Compter le nombre de tickets
						//1. Attente PEC
						//2. En cours
						//3. Résolu
						//4. Rejeté
						//5. Non attribué
						//6. Attente retour
					
					//Requêtes SQL
					$SQL_nouveaux = "SELECT * FROM tincidents WHERE disable='0' AND technician = '0' ORDER BY ID DESC";
					
					if($_POST['tech']!="%"){
						$filtre_technicien = "AND technician = ".$_POST['tech'];
					}
					if($_POST['type']!="%"){
						$filtre_type = "AND type = ".$_POST['type'];
					}
					if($_POST['user']!="%"){
						$filtre_type = "AND user = ".$_POST['user'];
					}

						$SQL_AttentePec = "SELECT * FROM tincidents WHERE disable='0' AND state = '1' ".$filtre_technicien." ".$filtre_type." ORDER BY ID DESC";
						$SQL_EnCours = "SELECT * FROM tincidents WHERE disable='0' AND state = '2' ".$filtre_technicien." ".$filtre_type." ORDER BY ID DESC";
						$SQL_AttenteRetour = "SELECT * FROM tincidents WHERE disable='0' AND state = '6' ".$filtre_technicien." ".$filtre_type." ORDER BY ID DESC";
						$SQL_Resolus = "SELECT * FROM tincidents WHERE disable='0' AND state = '3'
							".$filtre_technicien." ".$filtre_type."
							AND DATE(date_res) > (NOW() - INTERVAL 7 DAY) ORDER BY ID DESC";
						
							
					$query = $db->query($SQL_nouveaux);
					$nombre_tickets_nouveaux = $query->rowCount();
					$query->closeCursor();
					
					$query = $db->query($SQL_AttentePec);
					$nombre_tickets_AttentePec = $query->rowCount();
					$query->closeCursor();
					
					$query = $db->query($SQL_EnCours);
					$nombre_tickets_EnCours = $query->rowCount();
					$query->closeCursor();
					
					$query = $db->query($SQL_AttenteRetour);
					$nombre_tickets_AttenteRetour = $query->rowCount();
					$query->closeCursor();
					
					$query = $db->query($SQL_Resolus);
					$nombre_tickets_Resolus = $query->rowCount();
					$query->closeCursor();
					
					
				?>
				
					<tr>
						<th style="width:100%" class=""><center>
						<a title="" href="#"><i class="icon-tag"></i> Nouveaux (<?php echo $nombre_tickets_nouveaux; ?>)</a> <i class="icon-warning-sign red bigger-130"></i>
						</center></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td><!-- Nouveaux -->
							<?php GenererPostIt($db,$SQL_nouveaux); ?>
						</td>
					</tr>
				</tbody>
			</table>
			<table id="sample-table-1" class="table table-striped table-bordered">
				<?php
				if($_POST['tech']!="%"){
					//Si on affiche un seul technicien
				?>
				<thead>
					<tr>
						<th style="width:25%" class=""><center><a title="" href="#"><i class="icon-tag"></i> Attente PEC (<?php echo $nombre_tickets_AttentePec; ?>) </a></center></th>
						<th style="width:25%" class=""><center><a title="" href="#"><i class="icon-tag"></i> En cours (<?php echo $nombre_tickets_EnCours; ?>) </a></center></th>
						<th style="width:25%" class=""><center><a title="" href="#"><i class="icon-tag"></i> Attente Retour (<?php echo $nombre_tickets_AttenteRetour; ?>) </a></center></th>
						<th style="width:25%" class=""><center><a title="" href="#"><i class="icon-tag"></i> Résolus (< 7 j) (<?php echo $nombre_tickets_Resolus; ?>) </a></center></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td><!-- Attente PEC -->
							<?php GenererPostIt($db,$SQL_AttentePec); ?>
						</td>
						<td><!-- En cours -->
							<?php GenererPostIt($db,$SQL_EnCours); ?>
						</td>
						<td><!-- Attente retour -->
							<?php GenererPostIt($db,$SQL_AttenteRetour); ?>
						</td>
						<td><!-- Résolus -->
							<?php GenererPostIt($db,$SQL_Resolus); ?>
						</td>
					</tr>
				</tbody>
				<?php
				} else {
				//Si on affiche tous les techniciens
				
				
				?>
				<thead>
					<tr>
						<th style="width:6%" class="">Tech</th>
						<th style="width:25%" class=""><center><a title="" href="#"><i class="icon-tag"></i> Attente PEC (<?php echo $nombre_tickets_AttentePec; ?>) </a></center></th>
						<th style="width:19%" class=""><center><a title="" href="#"><i class="icon-tag"></i> En cours (<?php echo $nombre_tickets_EnCours; ?>) </a></center></th>
						<th style="width:25%" class=""><center><a title="" href="#"><i class="icon-tag"></i> Attente Retour (<?php echo $nombre_tickets_AttenteRetour; ?>) </a></center></th>
						<th style="width:25%" class=""><center><a title="" href="#"><i class="icon-tag"></i> Résolus (< 7 j) (<?php echo $nombre_tickets_Resolus; ?>) </a></center></th>
					</tr>
				</thead>
				<tbody>
					<?php
						if($_POST['type']!="%"){
							$filtre_type = "AND type = ".$_POST['type'];
						}
						if($_POST['user']!="%"){
							$filtre_type = "AND user = ".$_POST['user'];
						}
						
						//Pour chaque technicien, on affiche une ligne
						$SQL_liste_techniciens = "SELECT * FROM tusers WHERE disable='0' AND profile != '2' ORDER BY ID ASC";
						$query = $db->query($SQL_liste_techniciens);
						while ($roww=$query->fetch())
						{
							$filtre_technicien = "AND technician = ".$roww['id'];
							
							$SQL_AttentePec = "SELECT * FROM tincidents WHERE disable='0' AND state = '1' ".$filtre_technicien." ".$filtre_type." ORDER BY ID DESC";
							$SQL_EnCours = "SELECT * FROM tincidents WHERE disable='0' AND state = '2' ".$filtre_technicien." ".$filtre_type." ORDER BY ID DESC";
							$SQL_AttenteRetour = "SELECT * FROM tincidents WHERE disable='0' AND state = '6' ".$filtre_technicien." ".$filtre_type." ORDER BY ID DESC";
							$SQL_Resolus = "SELECT * FROM tincidents WHERE disable='0' AND state = '3'
								".$filtre_technicien." ".$filtre_type."
								AND DATE(date_res) > (NOW() - INTERVAL 7 DAY) ORDER BY ID DESC";

						?>
						<tr>
							<td><?php echo $roww['lastname']; ?></td>
							<td><!-- Attente PEC -->
								<?php GenererPostIt($db,$SQL_AttentePec); ?>
							</td>
							<td><!-- En cours -->
								<?php GenererPostIt($db,$SQL_EnCours); ?>
							</td>
							<td><!-- Attente retour -->
								<?php GenererPostIt($db,$SQL_AttenteRetour); ?>
							</td>
							<td><!-- Résolus -->
								<?php GenererPostIt($db,$SQL_Resolus); ?>
							</td>
						</tr>
						<?php
						}
					?>
				</tbody>
				<?php } ?>
			</table>			
		</div>
	</div>
</div>

<script type="text/javascript">
function openJS(){alert('loaded')}
function closeJS(){alert('closed')}
</script>


